import 'package:app_hit_a_wod/src/models/training_workout.model.dart';
import 'package:app_hit_a_wod/src/models/user_benchmark.model.dart';
import 'package:json_annotation/json_annotation.dart';

part 'exercise_benchmark.model.g.dart';

@JsonSerializable()
class ExerciseBenchmark {

  ExerciseBenchmark();

  factory ExerciseBenchmark.fromJson(Map<String, dynamic> json) => _$ExerciseBenchmarkFromJson(json);
  Map<String, dynamic> toJson() => _$ExerciseBenchmarkToJson(this);

  List<UserBenchmark> benchmarks;
  List<TrainingWorkout> workouts;
  List<Map<String,dynamic>> graph;
}